// import API from "@/api";

//文件选择器配置

export default {
	// apiObj: API.common.upload,
	// menuApiObj: API.common.file.menu,
	// listApiObj: API.common.file.list,
	successCode: 200,
	maxSize: 30,
	max: 99,
	uploadParseData: function (res) {
		return {
			id: res.data.id,
			fileName: res.data.fileName,
			url: res.data.src
		}
	},
	listParseData: function (res) {
		return {
			rows: res.data.data,
			total: res.data.count,
			msg: res.message,
			code: res.code
		}
	},
	request: {
		page: 'page',
		pageSize: 'pageSize',
		keyword: 'keyword',
		menuKey: 'groupId'
	},
	menuProps: {
		key: 'id',
		label: 'label',
		children: 'children'
	},
	fileProps: {
		key: 'id',
		fileName: 'fileName',
		url: 'url'
	},
	files: {
		doc: {
			icon: 'x-icon-file-word-2-fill',
			color: '#409eff'
		},
		docx: {
			icon: 'x-icon-file-word-2-fill',
			color: '#409eff'
		},
		xls: {
			icon: 'x-icon-file-excel-2-fill',
			color: '#67C23A'
		},
		xlsx: {
			icon: 'x-icon-file-excel-2-fill',
			color: '#67C23A'
		},
		ppt: {
			icon: 'x-icon-file-ppt-2-fill',
			color: '#F56C6C'
		},
		pptx: {
			icon: 'x-icon-file-ppt-2-fill',
			color: '#F56C6C'
		}
	}
}
